# flutter pub run flutter_launcher_icons
flutter_launcher_icons:
  image_path: "assets/icon.png"

  android: "launcher_icon"
  # image_path_android: "assets/icon/icon.png"
  min_sdk_android: 21 # android min sdk min:16, default 21
  adaptive_icon_background: "assets/icon_b.png"
  adaptive_icon_foreground: "assets/icon_f.png"
  # adaptive_icon_foreground_inset: 16
  adaptive_icon_monochrome: "assets/icon_f.png"

  ios: true
  # image_path_ios: "assets/icon/icon.png"
  # remove_alpha_channel_ios: true

  web:
    generate: true
    image_path: "assets/icon.png"
    background_color: "#hexcode"
    theme_color: "#hexcode"

  windows:
    generate: true
    image_path: "assets/icon.png"
    icon_size: 48 # min:48, max:256, default: 48

  macos:
    generate: true
    image_path: "assets/icon.png"
